.. _development-genx_package-data_loaders:

*******************
Data Loader Plugins
*******************

.. automodule:: genx.plugins.data_loaders.default
    :members:
    :undoc-members:

.. automodule:: genx.plugins.data_loaders.resolution
    :members:
    :undoc-members:


.. automodule:: genx.plugins.data_loaders.amor
    :members:
    :undoc-members:

.. automodule:: genx.plugins.data_loaders.auto
    :members:
    :undoc-members:

.. automodule:: genx.plugins.data_loaders.d17_cosmos
    :members:
    :undoc-members:

.. automodule:: genx.plugins.data_loaders.d17_legacy
    :members:
    :undoc-members:

.. automodule:: genx.plugins.data_loaders.orso
    :members:
    :undoc-members:

.. automodule:: genx.plugins.data_loaders.rigaku
    :members:
    :undoc-members:

.. automodule:: genx.plugins.data_loaders.sinq_six
    :members:
    :undoc-members:

.. automodule:: genx.plugins.data_loaders.sns_mr
    :members:
    :undoc-members:

.. automodule:: genx.plugins.data_loaders.sls_sxrd
    :members:
    :undoc-members:

.. automodule:: genx.plugins.data_loaders.xrdml
    :members:
    :undoc-members:

